/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Payer information
 */
@ApiModel(description = "Payer information")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Payer {
  @SerializedName("person")
  private Model27 person = null;

  @SerializedName("phones")
  private Model28 phones = null;

  @SerializedName("fiscal_address")
  private Model29 fiscalAddress = null;

  public Payer person(Model27 person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(value = "")
  public Model27 getPerson() {
    return person;
  }

  public void setPerson(Model27 person) {
    this.person = person;
  }

  public Payer phones(Model28 phones) {
    this.phones = phones;
    return this;
  }

   /**
   * Get phones
   * @return phones
  **/
  @ApiModelProperty(value = "")
  public Model28 getPhones() {
    return phones;
  }

  public void setPhones(Model28 phones) {
    this.phones = phones;
  }

  public Payer fiscalAddress(Model29 fiscalAddress) {
    this.fiscalAddress = fiscalAddress;
    return this;
  }

   /**
   * Get fiscalAddress
   * @return fiscalAddress
  **/
  @ApiModelProperty(value = "")
  public Model29 getFiscalAddress() {
    return fiscalAddress;
  }

  public void setFiscalAddress(Model29 fiscalAddress) {
    this.fiscalAddress = fiscalAddress;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Payer payer = (Payer) o;
    return Objects.equals(this.person, payer.person) &&
        Objects.equals(this.phones, payer.phones) &&
        Objects.equals(this.fiscalAddress, payer.fiscalAddress);
  }

  @Override
  public int hashCode() {
    return Objects.hash(person, phones, fiscalAddress);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Payer {\n");
    
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    phones: ").append(toIndentedString(phones)).append("\n");
    sb.append("    fiscalAddress: ").append(toIndentedString(fiscalAddress)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

